Skip to main content
`Ctrl`+`K`

# DMPlexSetCone

Set the points on the in-edges for this point in the DAG; that is these are the points that cover the specific point

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetCone(DM dm, PetscInt p, const PetscInt cone[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

- cone - An array of points which are on the in-edges for point `p`, its length must have been previously provided with `DMPlexSetConeSize()`

## Note

This should be called after all calls to `DMPlexSetConeSize()` and `DMSetUp()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexGetCone()`, `DMPlexSetChart()`, `DMPlexSetConeSize()`, `DMSetUp()`, `DMPlexSetSupport()`, `DMPlexSetSupportSize()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages